PDA

View Full Version : OpenGL Sub Rosa problem



riley1231
06-23-2012, 06:34 PM
Whenever i try to play sub rosa it gives me a warning that saids i dont have opengl 2.0, It also tells me to update drives, so i do, but it didint do anything at all. Im using Nvidia Geforce FX 580 windows 7 64 bit

aqnuep
06-23-2012, 07:31 PM
I don't know any GPU called "NVIDIA GeForce FX 580". I know only the following similarly named ones:

- NVIDIA GeForce FX 5800 - should support OpenGL 2.1
- NVIDIA GeForce GTX 580 - should support OpenGL 4.2
- NVIDIA Quadro FX 580 - should support OpenGL 3.3

So which one do you have?

Actually, it shouldn't matter much as all thse support GL 2.0.

Is this a notebook? If yes, then you are likely to get stuck with an older version of OpenGL.
From where did you try to download the drivers? You should try NVIDIA's web-site if you have a desktop GPU.

Btw, you can check what version of OpenGL does your driver support using one of these applications:

- OpenGL Extensions Viewer (http://www.realtech-vr.com/glview/)
- GPU Caps Viewer (http://www.ozone3d.net/gpu_caps_viewer/)